# Class ObservatitonRetentionResult

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents the result of an observation retention operation, encapsulating the outcome and relevant details of the retention process.

    public class ObservatitonRetentionResult

Inheritance
  object
  ObservatitonRetentionResult

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### ObservatitonRetentionResult()

    public ObservatitonRetentionResult()

### ObservatitonRetentionResult(RetentionPolicy, int?)

    public ObservatitonRetentionResult(RetentionPolicy retentionPolicy, int? retentionPolicyValue)

#### Parameters

`retentionPolicy` RetentionPolicy
`retentionPolicyValue` int?

## Properties

### RetentionPolicy

    public RetentionPolicy RetentionPolicy { get; set; }

#### Property Value

RetentionPolicy

### RetentionPolicyValue

    public int? RetentionPolicyValue { get; set; }

#### Property Value

int?